import { SetupContext } from 'vue';
import { SymbolStyleProps, SymbolStyleEmits } from './types';
export declare const useSymbolStyle: (props: SymbolStyleProps, emit: SetupContext<SymbolStyleEmits>['emit']) => {
    symbol: import('@vue/reactivity').Ref<any, any>;
    wrapperComponent: import('@vue/reactivity').ComputedRef<"div" | "mapgis-ui-setting-form">;
    renderMode: import('@vue/reactivity').Ref<any, any>;
    isMarkerSymbol: import('@vue/reactivity').ComputedRef<boolean>;
    isLineSymbol: import('@vue/reactivity').ComputedRef<boolean>;
    isFillSymbol: import('@vue/reactivity').ComputedRef<boolean>;
    isTextSymbol: import('@vue/reactivity').ComputedRef<boolean>;
};
